All Apps and Add-ons
Highlighted

Cannot update PCI Complience app using CLI -login failed

New Member

I am trying to update PCIcomplience but i am getting Login failure.I am using the user/pass that i login to splunk.com /My company has licence/.Below is the output:

root@/opt/splunk/bin # ./splunk install app SplunkDA-ESSPCICompliance -update 1
Splunk username: nhs
Password:
Login failed

Then i used my root user/pass but i got the following message :
Error during app install: failed to extract app from /opt/splunk/bin/SplunkDA-ESSPCICompliance to /opt/splunk/var/run/splunk/bundle_tmp/446fbab906660b58: No such file or directory

Then i did:
./splunk install app /opt/splunk/etc/apps/SplunkDA-ESSPCICompliance -update 1 and i got the message that PCI was installed but then on the Web interfeace i cannot see PCI any longer and i got the message :
Splunk_DB-ESS PCI Compliance version None is lower than required 3.4.0

I need your help.

0 Karma
Highlighted

Re: Cannot update PCI Complience app using CLI -login failed

Communicator

Some time ago - but anyway:

  • It seems you are using system (i.e. Linux or similar) credentials to login to Splunk. That won't work. You have to use your Splunk-(Web)-credentials to connect to Splunk.
  • Also you have to make sure that you have the permission to install an app (also inside of Splunk).
  • And last - "SplunkDA-ESSPCICompliance" is the name of the installed app. On the commandline you have to use the name of the tar archive, e.g. splunk install app splunk-app-for-pci-compliance-splunk-enterprise_370.spl
0 Karma
Highlighted

Re: Cannot update PCI Complience app using CLI -login failed

SplunkTrust
SplunkTrust

Hi @balkanbgboy,

Your first attempt at installing should have worked using your splunk credentials. Make sure the splunk user you are using has the permissions to install apps.

To avoid all these CLI issues go to the GUI and follow the steps shown here :
https://docs.splunk.com/Documentation/PCI/3.8.0/Install/InstallPCIComplianceApp#Install_the_app

Let me know how that works out for you.

Cheers,
David

0 Karma
Highlighted

Re: Cannot update PCI Complience app using CLI -login failed

Communicator

Using just the App-name does not work. You have to use the archive name - otherwise splunk install app ... has no idea what to install.

0 Karma